Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools SAML Java API Reference 10g Release 3 (10.1.3) B25380-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.saml
Class NameIdentifier

`java.lang.Object
oracle.security.xmlsec.util.XMLNode
oracle.security.xmlsec.util.XMLElement
oracle.security.xmlsec.saml.NameIdentifier`

public class NameIdentifier
extends oracle.security.xmlsec.util.XMLElement

The SAML NameIdentifier element specifies a subject by a combination of a name qualifier, a name and a format.

Field Summary
`static java.lang.String` | `EMAIL_ADDRESS` Format attribute for SAML 1.0 e-mail address: "#emailAddress".
`static java.lang.String` | `NAME_ID_FORMAT_EMAIL_ADDRESS` Format attribute for SAML 1.1 e-mail address: "urn:oasis:names:tc:SAML:1.1:nameid-format:emailAddress".
`static java.lang.String` | `NAME_ID_FORMAT_UNSPECIFIED` Format attribute for SAML 1.1 unspecified: "urn:oasis:names:tc:SAML:1.1:nameid-format:unspecified".
`static java.lang.String` | `NAME_ID_FORMAT_WINDOWS_DOMAIN_QNAME` Format attribute for SAML 1.1 windows domain qualified names: "urn:oasis:names:tc:SAML:1.1:nameid-format:WindowsDomainQualifiedName".
`static java.lang.String` | `NAME_ID_FORMAT_X509_SUBJECT_NAME` Format attribute for SAML 1.1 X509 subject name: "urn:oasis:names:tc:SAML:1.1:nameid-format:X509SubjectName".
`static java.lang.String` | `WINDOWS_DOMAIN_QNAME` Format attribute for SAML 1.0 windows domain qualified names: "#WindowsDomainQualifiedName".
`static java.lang.String` | `X509_SUBJECT_NAME` Format attribute for SAML 1.0 X509 subject name: "#X509SubjectName".

Fields inherited from class oracle.security.xmlsec.util.XMLNode
`node, systemId`

Constructor Summary
`` | `NameIdentifier(org.w3c.dom.Document owner)` Creates a new `NameIdentifier` instance.
`protected` | `NameIdentifier(org.w3c.dom.Document owner, java.lang.String uri, java.lang.String localName)` Creates a new `NameIdentifier` instance.
`` | `NameIdentifier(org.w3c.dom.Element element)` Creates a new `NameIdentifier` instance from the given Element node.
`` | `NameIdentifier(org.w3c.dom.Element element, java.lang.String SystemId)` Creates a new `NameIdentifier` instance from the given Element node.

Method Summary
`java.lang.String` | `getFormat()` Gets the format attribute.
`java.lang.String` | `getNameQualifier()` Gets the name qualifier attribute.
`oracle.security.crypto.cert.X500Name` | `getSubjectName()` Deprecated. Use `getValue()` instead.
`java.lang.String` | `getValue()` Gets the value of this `NameIdentifier` element.
`void` | `setFormat(java.lang.String uri)` Sets the format attribute of this `NameIdentifier` object.
`void` | `setNameQualifier(java.lang.String nameQualifier)` Sets the name qualifier attribute of this NameIdentifier element.
`void` | `setSubjectName(oracle.security.crypto.cert.X500Name subjectName)` Sets the value of this `NameIdentifier` element in the case of a X509SubjectName.
`void` | `setValue(java.lang.String value)` Sets the value of this `NameIdentifier` element.

Methods inherited from class oracle.security.xmlsec.util.XMLElement
`addNSPrefixAttr, addNSPrefixAttr, addNSPrefixAttrDefault, addNSPrefixAttrDefault, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildElementsByTagName, getChildElementsByTagName, getChildElementsByTagNameNS, getChildElementsByTagNameNS, getDefaultNSPrefix, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setDefaultNSPrefix`

Methods inherited from class oracle.security.xmlsec.util.XMLNode
`appendChild, appendChild, appendTo, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNode, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getSystemId, hasAttributes, hasChildNodes, insertBefore, insertBefore, isSupported, normalize, removeChild, removeChild, replaceChild, replaceChild, setNodeValue, setPrefix, setSystemId, toBytesXML, toStringXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAME_ID_FORMAT_UNSPECIFIED

    public static final java.lang.String NAME_ID_FORMAT_UNSPECIFIED

  Format attribute for SAML 1.1 unspecified: "urn:oasis:names:tc:SAML:1.1:nameid-format:unspecified".
  See Also:
    Constant Field Values

### EMAIL_ADDRESS

    public static final java.lang.String EMAIL_ADDRESS

  Format attribute for SAML 1.0 e-mail address: "#emailAddress".
  See Also:
    Constant Field Values

### NAME_ID_FORMAT_EMAIL_ADDRESS

    public static final java.lang.String NAME_ID_FORMAT_EMAIL_ADDRESS

  Format attribute for SAML 1.1 e-mail address: "urn:oasis:names:tc:SAML:1.1:nameid-format:emailAddress".
  See Also:
    Constant Field Values

### X509_SUBJECT_NAME

    public static final java.lang.String X509_SUBJECT_NAME

  Format attribute for SAML 1.0 X509 subject name: "#X509SubjectName".
  See Also:
    Constant Field Values

### NAME_ID_FORMAT_X509_SUBJECT_NAME

    public static final java.lang.String NAME_ID_FORMAT_X509_SUBJECT_NAME

  Format attribute for SAML 1.1 X509 subject name: "urn:oasis:names:tc:SAML:1.1:nameid-format:X509SubjectName".
  See Also:
    Constant Field Values

### WINDOWS_DOMAIN_QNAME

    public static final java.lang.String WINDOWS_DOMAIN_QNAME

  Format attribute for SAML 1.0 windows domain qualified names: "#WindowsDomainQualifiedName".
  See Also:
    Constant Field Values

### NAME_ID_FORMAT_WINDOWS_DOMAIN_QNAME

    public static final java.lang.String NAME_ID_FORMAT_WINDOWS_DOMAIN_QNAME

  Format attribute for SAML 1.1 windows domain qualified names: "urn:oasis:names:tc:SAML:1.1:nameid-format:WindowsDomainQualifiedName".
  See Also:
    Constant Field Values

Constructor Detail

### NameIdentifier

    public NameIdentifier(org.w3c.dom.Element element)
                   throws org.w3c.dom.DOMException

  Creates a new `NameIdentifier` instance from the given Element node.
Parameters:
  `element` - A NameIdentifier element.

### NameIdentifier

    public NameIdentifier(org.w3c.dom.Element element,
                          java.lang.String SystemId)
                   throws org.w3c.dom.DOMException

  Creates a new `NameIdentifier` instance from the given Element node.
Parameters:
  `element` - A NameIdentifier element.

### NameIdentifier

    public NameIdentifier(org.w3c.dom.Document owner)
                   throws org.w3c.dom.DOMException

  Creates a new `NameIdentifier` instance.
Parameters:
  `owner` - The owner document of the new NameIdentifier.

### NameIdentifier

    protected NameIdentifier(org.w3c.dom.Document owner,
                             java.lang.String uri,
                             java.lang.String localName)
                      throws org.w3c.dom.DOMException

  Creates a new `NameIdentifier` instance. This is for use in any sub-class for extension of the NameIdentifier element.
Parameters:
  `owner` - The owner document of the new NameIdentifier.
  `localName` - The localName of the element represented by the class that extends this class.

Method Detail

### setNameQualifier

    public void setNameQualifier(java.lang.String nameQualifier)

  Sets the name qualifier attribute of this NameIdentifier element.
  Parameters:
    `nameQualifier` - A String value that determines the security or administrative domain of the subject.

### getNameQualifier

    public java.lang.String getNameQualifier()

  Gets the name qualifier attribute.
  Returns:
    A String object representing the security or administrative domain of the subject or `null` if none has been set.

### setFormat

    public void setFormat(java.lang.String uri)

  Sets the format attribute of this `NameIdentifier` object.

  The following formats are defined: `#emailAddress`, `#X509SubjectName` and `#WindowsDomainQualifiedName`.

  Parameters:
    `uri` - A URI representing the syntax used to describe the name of the subject.

### getFormat

    public java.lang.String getFormat()

  Gets the format attribute.
  Returns:
    A URI representing the syntax used to describe the name of the subject.

### setValue

    public void setValue(java.lang.String value)

  Sets the value of this `NameIdentifier` element.
  Parameters:
    `value` - The String value representing an e-mail address as define in RFC 822, a subject name as specified for the contents of <ds:X509SubjectName> element in DSIG or a Windows domain qualified name ("DomainName\UserName").

### setSubjectName

    public void setSubjectName(oracle.security.crypto.cert.X500Name subjectName)

  Sets the value of this `NameIdentifier` element in the case of a X509SubjectName. This method also calls `setFormat(NameIdentifier.X500_SUBJECT_NAME)`
  Parameters:
    `subjectName` - Thee subject's X500Name.

### getValue

    public java.lang.String getValue()

  Gets the value of this `NameIdentifier` element.
  Returns:
    A String object representing the value of this element.

### getSubjectName

    public oracle.security.crypto.cert.X500Name getSubjectName()

  Deprecated. Use `getValue()` instead.
  Gets the value as a `X500Name` of this `NameIdentifier` element.
  Returns:
    A `X500Name` object representing the value of this element or `null` if no value has been set or if the format is not of X509SubjectName.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools SAML Java API Reference 10g Release 3 (10.1.3) B25380-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.